import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        /**
         * Optional. Value will set the `all` css property. Defaults to `unset`.
         * @param all
         * @type { 'unset' | 'initial' | 'inherit' | 'revert' | null}
         */ all?: ("unset" | "initial" | "inherit" | "revert" | null) | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type NoTwProps = typeof __propDef.props;
export type NoTwEvents = typeof __propDef.events;
export type NoTwSlots = typeof __propDef.slots;
/**
 * Wrap a component with `<NoTW>` to disable Tailwind classes.
 * ### Props:
 * - `all` = `'unset'` | `'initial'` | `'inherit'` | `'revert'` | `undefined`. Defaults to `unset`.
 *
 * ### Example:
 * ```
 * <NoTW>
 *  <TailwindComponent />
 * </NoTW>
 *
 * <NoTW all="initial">
 *  <TailwindComponent />
 * </NoTW>
 * ```
 */
export default class NoTw extends SvelteComponentTyped<NoTwProps, NoTwEvents, NoTwSlots> {
}
export {};
